import { Document } from './document';
import { SortData } from './types/sortdata';
declare function nestedProperty(doc: Document, key: string): any;
declare function sortDocuments(documents: Document[], sortData: SortData[], algorithm?: 'native' | 'quick' | 'insertion'): void;
declare function createSortData(keys: string[]): SortData[];
/**
 * @param index The index to traverse
 * @param document The document to find
 * @param sortData The sorting data for the index
 * @param lastIndex Whether to return the insertion index (false for search, true for insert)
 *
 * @return The index of the item
 */
declare function binarySearch(index: Document[], document: Document, sortData: SortData[], lastIndex?: boolean): number;
export { binarySearch, createSortData, nestedProperty, sortDocuments };
